Zen API

- Home
- Topics
- Types
- Files

All Classes Files Functions Variables Typedefs Friends Macros Modules Pages
Public Member Functions
kChar Struct Reference
kApi

## Description

Represents a single unit (byte) in a UTF-8 character.

kChar supports the kdat5 and kdat6 serialization protocols.

Inheritance diagram for kChar:

## Public Member Functions
kBool | kChar_IsDigit (kChar ch)
| Checks whether ASCII character is a digit. More...
kBool | kChar_IsLetter (kChar ch)
| Checks whether ASCII character is a letter. More...
kBool | kChar_IsSpace (kChar ch)
| Checks whether ASCII character is a some kind of white space character type. More...
kChar | kChar_ToLower (kChar ch)
| Convert ASCII character to lower case. More...
kChar | kChar_ToUpper (kChar ch)
| Convert ASCII character to upper case. More...
Public Member Functions inherited from kValue
kBool | kValue_Equals (kType type, const void *value, const void *other)
| Determines whether a value is equal to another value. More...
kSize | kValue_HashCode (kType type, const void *value)
| Gets a hash code representing the state of this value. More...
void | kValue_Import (kType type, void *value, const void *source)
| Imports the content of another value into this value. More...

## Additional Inherited Members
Protected Member Functions inherited from kValue
kBool | kValue_VEquals (kType type, const void *value, const void *other)
| Protected virtual method that compares two values for equality. More...
kSize | kValue_VHashCode (kType type, const void *value)
| Protected virtual method that calculates a hash code representing the value instance. More...
void | kValue_VImport (kType type, void *value, const void *source)
| Protected virtual method that imports data from an external source into an array-value type. More...
Related inherited from kValue
#define | kValue_EqualsT(kType_type, TPtr_value, TPtr_other)
| Determines whether a value is equal to another value. More...
#define | kValue_HashCodeT(kType_type, TPtr_value)
| Gets a hash code representing the state of this value. More...

The documentation for this struct was generated from the following file:

- kApiDef.h